import { MenusCrud, PageBuilderStorageOperations, PbContext } from "../../types";
import { MenusPermissions } from "./permissions/MenusPermissions";
export interface CreateMenuCrudParams {
    context: PbContext;
    menusPermissions: MenusPermissions;
    storageOperations: PageBuilderStorageOperations;
    getTenantId: () => string;
    getLocaleCode: () => string;
}
export declare const createMenuCrud: (params: CreateMenuCrudParams) => MenusCrud;
